"OpenCola" by "William Moore".

Chapter 0 - The License

[
    OpenCola - An Interactive Fiction detailing the recipe
    Copyright (C) 2023  William Moore

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
]

Chapter 1 - General Setup

The release number is 9.
The story headline is "An interactive fiction adaptation of the OpenCola recipe".
The story description is "An interactive fiction based on the recipe for OpenCola. The source code may be found at https://rezrov.xyz/caranmegil/OpenCola.".
Release along with cover art, an interpreter, source text, and library card.
Include Basic Screen Effects by Emily Short.

Chapter 2 - Rooms and Doors

Foyer is a room. The description is "The Foyer is a clean and pristine with stainless steel walls and granite flooring.".
Ingredients Room is a room. The description is "Inside this room, you can find the ingredients for the drink.".
Preparation Room is a room. The description is "[if unvisited]From everywhere you hear the wailing and gnashing of teeth of presumably the Soda Gnomes who are opposed to your production of OpenCola as it would make their jobs pointless.[otherwise]Inside this room, you can find how to prepare the drink.".

Ingredients Door is a door. It is locked and closed. It is north from the Foyer and south from the Ingredients Room. The description is "A stainless steel door with the words 'Ingredients Room' etched in big letters on the middle.".
Preparation Door is a door. It is locked and closed. It is south from the Foyer and north from the Preparation Room. The description is "A stainless steel door with the words 'Preparation Room' etched in big letters on the middle.".

Chapter 3 - Actors

Sir Mix-a-lot is a man. Understand "knight" as Sir Mix-a-lot. He is in Foyer. The description is "A steel plated knight with a steel helm and a steel enclosure containing a mixer.".
Lawyer is a woman. She is in the Foyer. The description is "Her raven black hair is pulled back into a tight bun and she wears a grey pantsuit.".

Chapter 4 - Things

Parchment of 7x Top Seekrut Flavoring Formula is a thing. It is in the Ingredients Room. The description is "3.50 ml orange oil
[line break]1.00 ml lemon oil
[line break]1.00 ml nutmeg oil
[line break]1.25 ml cassia oil
[line break]0.25 ml coriander oil
[line break]0.25 ml neroli oil
[line break]2.75 ml lime oil
[line break]0.25 ml lavender oil
[line break]10.0 g food grade gum arabic
[line break]3.00 ml water".

Parchment of Open Cola Syrup Formula is a thing. It is in the Ingredients Room. The description is "9.68 ml 7X formula
[line break]17.25 ml 75% phosphoric acid or citric acid
[line break]2.28 l water
[line break]2.36 kg plain granulated white table sugar
[line break]2.46 ml caffeine (optional)
[line break]30.0 ml caramel color".

Plaque of 7X Flavoring is thing. It is fixed in place. It is in the Preparation Room. The description is "On the wall to your left is as plaque that reads 'Mix all oils together in a blender. Add gum arabic. Mix again. Add water and mix for 4-5 minutes. Transfer to a safe container. Store in the fridge and sealed tightly!'".
Plaque of the Syrup of OpenCola is a thing. It is fixed in place. It is in the Preparation Room. The description is "On the wall to your right is a plaque that reads 'In a 5 l container, take 5 ml of the 7x Flavoring. Add either the phosphoric acid (please know what you're doing if so) or add the citric acid. Add the water and sugar. Mix. While mixing, if caffeine is desired, add it. Once all chemicals are completely dissolved, add caramel color. Mix thoroughly again.'".
Plaque of OpenCola Elixir is a thing. It is fixed in place. It is in the Preparation Room. The description is "On the wall in front of you is a plaque that reads 'In a container, add one part syrup to 5 parts carbonated water.'".

Chapter 5 - Tables

Table of Basic Help Commands
command	description
"north"	"Move north"
"south"	"Move south"
"east"	"Move east"
"west"	"Move west"
"northeast"	"Move northeast"
"northwest"	"Move northwest"
"southeast"	"Move southeast"
"southwest"	"Move southwest"
"up"	"Move up"
"down"	"Move down"
"look"	"Looks around at current location"
"save"	"Save state to a file"
"restore"	"Restores a saved state"
"restart"	"Restarts the game"
"verbose"	"Gives full description after each command"
"diagnostic"	"Give description of health"
"brief"	"Give a description upon first entering an area"
"superbrief"	"Never describe an area"
"quit"	"Quit game"
"climb"	"Climbs (up)"
"g"	"Redo last command"
"go (direction)"	"Go towards direction (west/east/north/south/in/out/into)"
"enter"	"In to the place"
"in"	"Go into something"
"out"	"Go out of the place"
"get/take (item)"	"Removes item from current room and places it in your inventory"
"get/take all"	"Takes all takeable objects in room"
"throw (item) at (location)"	"Throws the item at something"
"open (container)"	"Opens the container, whether it is in the room or your inventory"
"open (exit)"	"Opens the exit for travel"
"read (item)"	"Reads what is written on readable item"
"drop (item)"	"Removes item from inventory and places it in current room"
"put (item) in (container)"	"Removes item from inventory and places it in container"
"turn (control) with (item)"	"Attempts to operate the control with the item"
"turn on (item)"	"Turns on the item"
"turn off (item)"	"Turns the item off"
"move (object)"	"Moves a large object that cannot be picked up"
"attack (creature) with (item)"	"Attacks creature with the item"
"examine (object)"	"Examines, or looks, at an object or item or location"
"inventory"	"Shows contents of the inventory"
"eat"	"Eats item (specifically food)"
"shout"	"Shout it out (shout it out loud)"
"close (Door)"	"Closes door"
"tie (item) to (object)"	"Ties item to object"
"pick (item)"	"Take/get item"
"break (item) with (item)"	"Breaks item"
"kill (creature) with (item)"	"Attacks creature with the item"
"drink"	"Drink an item"
"smell"	"Smell an item"
"cut (object/item) with (weapon)"	"Comment: Strange concept, cutting the (object/item). If (object/item)=self then you commit suicide"
"listen (target)"	"Listens to a creature or an item"
"slap (target)"	"Slap the target viciously."
"poke (target)"	"Poke a target."
"license"	"Display the game license"
"source"	"Display the URL for the source code"
"credits"	"Display the credits for this game"
"talk to"	"You will talk to someone for once in your life."

Table of Sir Mix-a-lot Responses
Response
"When I purchased the oils, I specifically asked whether they were food grade or not. All persons said that they were, one person said she used them internally all the time.
[paragraph break]Neroli is a very expensive item, be prepared (US$48.52 for 5.00 ml).
[paragraph break]All others were a more reasonable price (US$2-9.30).
[paragraph break]Gum Arabic: It is very important that you get only food-grade Gum Arabic. There is also an art-grade, which is readily available at art supply stores - never use art-grade Gum Arabic! Art-grade Gum Arabic is toxic. It will make you ill. You'll be sad. We'll be sad."
"For the syrup, be careful and know what you're doing if you choose phosphoric acid!"

Chapter 6 - Figures

Chapter 7 - Actions

Understand "source" as sourcecode. Sourcecode is an action applying to nothing.
Carry out sourcecode:
	say "You may find the source code at https://rezrov.xyz/caranmegil/OpenCola".

Understand "license" as license. License is an action applying to nothing.
Carry out license:
	say "OpenCola soda is distributed under the terms of the General Public License (GPL), a copy of which is appended to 
the top of the source code. Please check out Richard Stallman's Free Software Foundation. He wrote the GPL 
and has plenty of interesting documentation on the site."

Understand "credits" as credits. Credits is an action applying to nothing.
Carry out credits:
	say "I would like to first and foremost thank [bold type]Nina Nadu[roman type], my wife, for being my everything.

	Next, I would like to thank my kids [bold type]Olivia[roman type] and [bold type]Henry[roman type] for being the rambuncious lot that you both are and having a special place in my heart!".

Understand "help" as helping. Helping is an action applying to nothing.
Carry out helping:
	say "[bold type]Basic Commands:[roman type][line break]";
	repeat through Table of Basic Help Commands:
		say "[bold type][command entry]:[roman type] [description entry][line break]";
	pause the game.

7X Examined is a truth state that varies. 7X Examined is false.
Syrup Examined is a truth state that varies. Syrup Examined is false.
Drink Examined is a truth state that varies. Drink Examined is false.

After examining when the noun is the Plaque of 7X Flavoring:
	now 7X Examined is true.

After examining when the noun is Plaque of the Syrup of OpenCola:
	now Syrup Examined is true.

After examining when the noun is Plaque of OpenCola Elixir:
	now Drink Examined is true.

Understand "talk to [something]" as talking. Talking is an action applying to one visible thing.

Carry out talking when the noun is not a person:
	say "You really want to talk to that?".

Carry out talking when the noun is Sir Mix-a-lot:
	say "The knight smiles and says 'Hahahaha! Welcome to OpenSoda. To the north is the ingredients room where parchments containing the ingredients are listed. To the south is the prepration room. Inside are plaques that tell you how to make the different parts of the elixir known as OpenSoda elixir! Eventually, other parchments and plaques will be made for the variations that certain people are making.'";
	let rr be a random number from 1 to number of rows in Table of Sir Mix-a-lot Responses;
		say "[paragraph break]The knight bellows: '[Response in row rr of Table of Sir Mix-a-lot Responses]'".

Instead of tasting the Sir Mix-a-lot:
	say "He tastes like snozzberries. Don't put them into OpenCola.".

Instead of smelling the Sir Mix-a-lot:
	say "He smells like elderberries, just like his father probably did. However, his mother wasn't a hamster.".

Carry out talking when the noun is Lawyer:
	say "Oils can cause skin irritation. Wear latex food-prep or surgical gloves. If oils come in contact with skin, wash with soap and water.
[paragraph break]I purchased all oils from health food stores and the herbalist store, Thuna's (see notes on gum arabic).
[paragraph break]Everything could have come from the herbalist's. Try for 100 percent pure, undiluted oils
[paragraph break]It is very important that you get only food-grade Gum Arabic. There is also an art-grade, which is readily available at art supply stores – never use art-grade Gum Arabic! Art-grade Gum Arabic is toxic. It will make you ill.
[paragraph break]It's best not to store caffeine in any amount. Caffeine can kill people in relatively small doses. The median lethal dose for an adult human is around 10 grams, or approximately one third of an ounce. You can find out more by reading the Material Safety Data Sheet (MSDS) for caffeine at http://www.jtbaker.com/msds/c0165.htm. Don't yeild to the temptation to create a 'Super-Jolt' , adding tons and tons of the white stuff to your cola, our you'll be in a world of hurt. If stored, store in a secure area away from children. Toxic by inhalation and ingestion: If inhaled, remove to fresh air, If ingested, call a physician. Possible teratogen and mutagen. If product comes in contact with the eyes, flush with plenty of water. There is some great information on caffeine and it's over-consumption at http://www.thecaffeinepage.com. Caffeine is completely optional. I used part of a caffeine pill (MVP, www.mvpnutrition.com), ground up in a pestle with a mortar. According to information on the pill bottle and on the Web site, the pills are 100% caffeine. As an extra safety precaution, I strained all of the syrup through a 4-ply of cheesecloth, in case any of the caffeine wasn't dissolved.
[paragraph break]Due to its acidity, phosphoric acid product is corrosive to the eyes and skin. Handle with gloved hands, and use extreme caution. If comes in contact with the eyes or skin, immediately flush with plenty of water for at least 15 minutes. Get medical attention. Rinse any spills on clothing or other surfaces thoroughly. Store in a secure area. Do not store more than 50.0 ml.";
	now Preparation Door is unlocked;
	now Ingredients Door is unlocked;
	say "(You hear the sounds of two doors unlocking.)".

Chapter 8 - The Game

When play begins:
	say "Making soft drinks is not for the faint of heart, nor the dirty of finger. It is a solemn enterprise not to be entered into lightly, as with marriage or buying used farm machinery.
[paragraph break]With any food-prep, failure to observe basic hygienic principles, follow directions, and exercise common sense can have grave consequences. OpenCola assumes no liability for any problems that arise out of the use of this document. Proceed at your own risk. No one's putting a gun to your head, so don't bother if you can't boil water.
[paragraph break]Improper use of cola might result in blunt trauma, puncture wounds, physical illness, mental illness, caffeine 
[paragraph break]dependency, dental necrosis, acid reflux, death, devastation, and random tax audits. Or it might not.
[paragraph break]A list of warnings has been provided below. We did not include them for our health - we included them for yours. 
[paragraph break]Read them. Know them. Follow them. Tattoo them to your backside.
[paragraph break]Just in case you have any doubt: following the directions below may be hazardous to your health and property. You assume any and all risk arising from the manufacture and consumption of cola.
[paragraph break][bold type]An important note:[roman type] this is not the recipe for 'OpenCola' - that is, the canned beverage from OpenCola that you may have received at a trade show, or other venue or outlet. Making canned cola requires millions of dollars in abstruse gear and manufacturing gizmos. It's easier to make nerve gas than manufacture cola. This is a kitchensink recipe that you can make all on your own. It is our kitchen-sink recipe. We figured it out somewhere between coding the COLA SDK and debugging the Linux build of the clerver.
[paragraph break]Anyway, we've tried to be nice about the disclaimer. If it's not good enough for you, here's what our lawyers have to say about the whole shootin' match.
[paragraph break]By copying and/or distributing the Program, you hereby agree to the following: 
[paragraph break][bold type]Indemnity:[roman type] You shall indemnify, defend, and hold harmless OpenCola, its affiliates, directors, officers, and 
employees from and against any third-party claim, demand, cause of action, debt, liability, cost or expense 
(including, but not limited to, reasonable attorneys' fees) arising out of your use of the Recipe, or any derivative 
thereof, including, but not limited to, any claims arising from your distribution of soft drink based on the Recipe or 
any derivatives thereof.
[paragraph break][bold type]International:[roman type] OpenCola makes no representation that the Recipe, or any soft drink based on the Recipe or any 
derivatives thereof, may be appropriate for use in locations outside of the United States or Canada, and accessing 
them from any location where their use is illegal is prohibited. If you choose to access this Recipe from any 
location outside of the United States or Canada, you do so at your own risk, and are responsible for compliance
with all local laws.";
	pause the game;
	say "[bold type]Make sure the ingredients are food grade and able to be used internally.[roman type]".

Gnomes Taunted is a truth state that varies. Gnomes Taunted is false.

Every turn:
	if 7X Examined is true and Syrup Examined is true and Drink Examined is true and Gnomes Taunted is false:
		say "You hear a shrill voice say 'Good luck getting the ingredients that are 100% made of the components. We Soda Gnomes will rule the day forever!'";
		now Gnomes Taunted is true.